Package org.kapott.hbci.passport

## Class HBCIPassportRDHXFile

- java.lang.Object
- - org.kapott.hbci.passport.AbstractHBCIPassport
  - - org.kapott.hbci.passport.AbstractRDHPassport
    - - org.kapott.hbci.passport.AbstractRDHSWPassport
      - - org.kapott.hbci.passport.AbstractRDHSWFileBasedPassport
        - - org.kapott.hbci.passport.HBCIPassportRDHXFile

All Implemented Interfaces:
  `java.io.Serializable`, `FileBasedPassport`, `HBCIPassport`, `HBCIPassportInternal`, `InitLetterPassport`

    public class HBCIPassportRDHXFile
    extends AbstractRDHSWFileBasedPassport

Passport-Klasse für die Verwendung von RDH-2- und RDH-10-Schlüsseldateien mit HBCI4Java. RDH-2/10-Schlüsseldateien sind Schlüsseldateien für RDH-Zugänge, die von anderer HBCI-Software erzeugt und verwendet werden (z.B. von VR-NetWorld). Soll eine solche Schlüsseldatei sowohl mit der anderen Software als auch mit HBCI4Java verwendet werden, so kann das mit dieser Passport-Variante geschehen.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.kapott.hbci.passport.AbstractRDHSWPassport

`keys`

### Fields inherited from interface org.kapott.hbci.passport.HBCIPassport

`ROLE_CON, ROLE_ISS, ROLE_WIT`

### Constructor Summary

Constructors
`HBCIPassportRDHXFile​(java.lang.Object initObject)`
`HBCIPassportRDHXFile​(java.lang.Object init, int dummy)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected java.lang.String` `getCompatName()`
`java.lang.String` `getProfileVersion()`
`void` `resetPassphrase()`
`void` `saveChanges()` Speichern der Änderungen an den Passport-Daten.
`void` `setPassphrase​(byte[] passphrase)`
`void` `setProfileVersion​(java.lang.String version)`

### Methods inherited from class org.kapott.hbci.passport.AbstractRDHSWFileBasedPassport

`close, getFilename, setFilename`

### Methods inherited from class org.kapott.hbci.passport.AbstractRDHSWPassport

`decrypt, encrypt, generateNewUserKeys, getInstEncKey, getInstEncKeyName, getInstEncKeyNum, getInstEncKeyVersion, getInstSigKey, getInstSigKeyName, getInstSigKeyNum, getInstSigKeyVersion, getKey, getMyEncKeyName, getMyEncKeyNum, getMyEncKeyVersion, getMyPrivateDigKey, getMyPrivateEncKey, getMyPrivateSigKey, getMyPublicDigKey, getMyPublicEncKey, getMyPublicSigKey, getMySigKeyName, getMySigKeyNum, getMySigKeyVersion, hasInstEncKey, hasInstSigKey, hasMyEncKey, hasMySigKey, setInstEncKey, setInstSigKey, setKey, setMyDigKey, setMyEncKey, setMyPrivateDigKey, setMyPrivateEncKey, setMyPrivateSigKey, setMyPublicDigKey, setMyPublicEncKey, setMyPublicSigKey, setMySigKey, sign, verify`

### Methods inherited from class org.kapott.hbci.passport.AbstractRDHPassport

`createMsgKey, getCommInstance, getCryptAlg, getCryptDataSize, getCryptFunction, getCryptKeyType, getCryptMode, getHashAlg, getPassportTypeName, getProfileMethod, getSigAlg, getSigFunction, getSigMode, getSignatureInstance, getSignatureParamSpec, getSysStatus, hash, isSupported, needInstKeys, needUserKeys, needUserSig, onDialogEvent`

### Methods inherited from class org.kapott.hbci.passport.AbstractHBCIPassport

`askForMissingData, canMixSecMethods, changePassphrase, checkForCryptDataSize, clearBPD, clearInstEncKey, clearInstSigKey, clearMyDigKey, clearMyEncKey, clearMySigKey, clearUPD, closeComm, fillAccountInfo, getAccount, getAccounts, getBLZ, getBPD, getBPDVersion, getCID, getClientData, getComm, getCommFilter, getCountry, getCustomerId, getCustomerId, getDefaultLang, getFilterType, getHBCIVersion, getHost, getInstance, getInstance, getInstance, getInstance, getInstName, getJobRestrictions, getJobRestrictions, getLang, getMaxGVperMsg, getMaxGVSegsPerMsg, getMaxMsgSizeKB, getParamHeader, getParamSegmentNames, getParentHandlerData, getPersistentData, getPort, getSigId, getStoredCustomerId, getSuppCompMethods, getSuppLangs, getSuppSecMethods, getSuppVersions, getSysId, getUPD, getUPDVersion, getUserId, incSigId, isAnonymous, onlyBPDGVs, setBLZ, setBPD, setCID, setClientData, setCountry, setCustomerId, setFilterType, setHBCIVersion, setHost, setParamHeader, setParentHandlerData, setPersistentData, setPort, setProfileMethod, setSigId, setSysId, setUPD, setUserId, syncSigId, syncSysId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HBCIPassportRDHXFile

    public HBCIPassportRDHXFile​(java.lang.Object init,
                                int dummy)

#### HBCIPassportRDHXFile

    public HBCIPassportRDHXFile​(java.lang.Object initObject)

### Method Detail

#### getCompatName

    protected java.lang.String getCompatName()

#### saveChanges

    public void saveChanges()

Description copied from interface: `HBCIPassport`
Speichern der Änderungen an den Passport-Daten. Diese Methode sollte eigentlich niemals manuell aus einer Anwendung heraus aufgerufen werden, sondern wird vom HBCI-Kernel benutzt. Das manuelle Aufrufen von `saveChanges` ist nur dann sinnvoll, wenn irgendwelche Passport-Daten manuell verändert werden (`HBCIPassport.setHost(String)`, `HBCIPassport.clearBPD()` usw.) und diese Änderungen explizit gespeichert werden sollen.

#### getProfileVersion

    public java.lang.String getProfileVersion()

#### setProfileVersion

    public void setProfileVersion​(java.lang.String version)

Specified by:
  `setProfileVersion` in interface `HBCIPassportInternal`
Overrides:
  `setProfileVersion` in class `AbstractHBCIPassport`

#### resetPassphrase

    public void resetPassphrase()

#### setPassphrase

    public void setPassphrase​(byte[] passphrase)